#!/usr/bin/perl -I/usr/sausalito/perl
# Author: Brian N. Smith
# Copyright 2006, NuOnce Networks, Inc. All rights reserved.
# $Id: mysql-dump.pl,v 1.0 2006/08/09 10:22:00 Exp $

use CCE;
use Sauce::Util;
use Sauce::Service;

my $cce = new CCE;
$cce->connectfd();

my $oid = $cce->event_oid();
my $obj = $cce->event_object();

my @oids = $cce->find('System');
if (!defined($oids[0])) {
	exit 0;
}

my ($ok, $nuMySQL) = $cce->get($oids[0], "mysql");

$user = $nuMySQL->{'username'};
$pass = $nuMySQL->{'password'};

$file = "/usr/sausalito/ui/web/nuonce/mysql/mysql-dump.sql";

if ( $pass eq "-1" ) {
	$output = `/usr/bin/mysqldump --user=$user --add-drop-table --all-databases --create-options > $file`;
} else {
	$output = `/usr/bin/mysqldump --user=$user --password=$pass --add-drop-table --all-databases --create-options > $file`;
}

chmod 0400, $file;

$cce->bye('SUCCESS');
exit 0;
