#!/usr/bin/perl -I/usr/sausalito/perl
# Author: Brian N. Smith
# Copyright 2006, NuOnce Networks, Inc.  All rights reserved.
# $Id: mysql-changePass.pl,v 1.0 2006/08/09 10:21:00 Exp $

use CCE;
use Sauce::Util;
use Sauce::Service;

my $cce = new CCE;
$cce->connectfd();

my $oid = $cce->event_oid();
my $obj = $cce->event_object();

my @oids = $cce->find('System');
if (!defined($oids[0])) {
	exit 0;
}

my ($ok, $nuMySQL) = $cce->get($oids[0], "mysql");

$user = $nuMySQL->{'mysqluser'};
$old = $nuMySQL->{'oldpass'};
$new = $nuMySQL->{'newpass'};

if ( $old eq "-1" ) {
	$cmd = `/usr/bin/mysqladmin --user=$user password $new`;
} else {
	$cmd = `/usr/bin/mysqladmin --user=$user --password=$old password $new`;
}

$cce->bye('SUCCESS');
exit 0;
